---
title: OOS reason
slug: oos-reason
docTags: 
createdAt: 2022-04-13T09:36:08.000Z
---

Allows setting an out-of-stock reason for SKU in a scene. Optionally, confirmation images can be provided. Images must be pre-loaded into the system via [/uploads](https://docs.eyrene.com/uploads#ou-post-uploads) or [/uploads\_by\_url](https://docs.eyrene.com/uploads#qa-post-uploadsuploadsbyurl).

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/oos_reason",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "optional",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "sku_gid",
        "type": "string",
        "description": "Global id that identifies sku that has an oos reason."
      },
      {
        "kind": "optional",
        "name": "scene",
        "type": "string",
        "description": "Scene uuid that identifies sku that has an oos reason."
      },
      {
        "kind": "optional",
        "name": "reason",
        "type": "string",
        "description": "OOS reason text."
      },
      {
        "kind": "optional",
        "name": "message",
        "type": "string",
        "description": "Error description."
      },
      {
        "kind": "optional",
        "name": "images",
        "type": "Object",
        "description": "List of image IDs for processing. Images are used to confirm out-of-stock reasons. Images must be pre-loaded into the system via /uploads or /uploads_by_url."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "LnGdM8ArN9f2DT_1GuReY",
        "code": "{\n  \"oos_reason_id\": 11234\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "LnGdM8ArN9f2DT_1GuReY"
  },
  "examples": {
    "languages": [
      {
        "id": "JHSbcd6jyWVmMz9LyiD_J",
        "code": "curl –i –X GET\n  https://test.inspector-cloud.com/api/v1.5/oos_reason/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\n  -F \"images=[156673, 156674, 156675, 156676]\" \\\n  -F \"sku_gid=13\" \\\n  -F \"reason=Out of stock\" \\\n  -F \"scene=4d8b66992cd841f6922723afe9bd8cf8\" \\\n  -F \"message=Borjomi was not recognized.\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "JHSbcd6jyWVmMz9LyiD_J"
  },
  "description": "POST /oos_reason",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "0UwWx4_dzmxI6I3ZMpzCy"
}
```
:::

## Response definitions[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/oos_reason#response-definitions)

***

**`oos_reason_id`** *string*

The ID of the saved oos reason request.

***

